CreateApprovalPolicyAPI creates a standing policy without executing the
curl --request POST \
--url https://api.erdo.ai/v1/approval-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_key": "<string>",
"decision": "<string>",
"scope_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"parameter_constraints": {},
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.erdo.ai/v1/approval-policies"
payload = {
"action_key": "<string>",
"decision": "<string>",
"scope_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"parameter_constraints": {},
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_key: '<string>',
decision: '<string>',
scope_type: '<string>',
expires_at: '2023-11-07T05:31:56Z',
parameter_constraints: {},
scope_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.erdo.ai/v1/approval-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/approval-policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action_key' => '<string>',
'decision' => '<string>',
'scope_type' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z',
'parameter_constraints' => [
],
'scope_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/approval-policies"
payload := strings.NewReader("{\n \"action_key\": \"<string>\",\n \"decision\": \"<string>\",\n \"scope_type\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"parameter_constraints\": {},\n \"scope_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erdo.ai/v1/approval-policies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action_key\": \"<string>\",\n \"decision\": \"<string>\",\n \"scope_type\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"parameter_constraints\": {},\n \"scope_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/approval-policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action_key\": \"<string>\",\n \"decision\": \"<string>\",\n \"scope_type\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"parameter_constraints\": {},\n \"scope_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"policy": {
"action_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parameter_constraints": {},
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "<string>"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
CreateApprovalPolicyAPI creates a standing policy without executing the
action it covers.
POST
/
v1
/
approval-policies
CreateApprovalPolicyAPI creates a standing policy without executing the
curl --request POST \
--url https://api.erdo.ai/v1/approval-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_key": "<string>",
"decision": "<string>",
"scope_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"parameter_constraints": {},
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.erdo.ai/v1/approval-policies"
payload = {
"action_key": "<string>",
"decision": "<string>",
"scope_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"parameter_constraints": {},
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_key: '<string>',
decision: '<string>',
scope_type: '<string>',
expires_at: '2023-11-07T05:31:56Z',
parameter_constraints: {},
scope_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.erdo.ai/v1/approval-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/approval-policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action_key' => '<string>',
'decision' => '<string>',
'scope_type' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z',
'parameter_constraints' => [
],
'scope_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/approval-policies"
payload := strings.NewReader("{\n \"action_key\": \"<string>\",\n \"decision\": \"<string>\",\n \"scope_type\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"parameter_constraints\": {},\n \"scope_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erdo.ai/v1/approval-policies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action_key\": \"<string>\",\n \"decision\": \"<string>\",\n \"scope_type\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"parameter_constraints\": {},\n \"scope_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/approval-policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action_key\": \"<string>\",\n \"decision\": \"<string>\",\n \"scope_type\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"parameter_constraints\": {},\n \"scope_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"policy": {
"action_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parameter_constraints": {},
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "<string>"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json
Response
Success response
Show child attributes
Show child attributes

